gnutls_pkcs12_bag_set_crt(3)

NAME
gnutls_pkcs12_bag_set_crt - API function

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_bag_set_crt(gnutls_pkcs12_bag_t bag, gnutls_x509_crt_t crt);

ARGUMENTS

gnutls_pkcs12_bag_t bag
    The bag

gnutls_x509_crt_t crt
    the certificate to be copied.

DESCRIPTION
This function will insert the given certificate into the bag. This is just a wrapper over gnutls_pkcs12_bag_set_data().

RETURNS
the index of the added bag on success, or a negative value on failure.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.